Bug 1048705 - packstack fails when qpid ssl enabled
Summary: packstack fails when qpid ssl enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 4.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z2
: 4.0
Assignee: Ivan Chavero
QA Contact: Attila Darazs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 08:02 UTC by Ivan Chavero
Modified: 2014-03-04 19:14 UTC (History)
6 users (show)

Fixed In Version: openstack-packstack-2013.2.1-0.22.dev956.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-04 19:14:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 65043 0 None None None Never
Red Hat Product Errata RHSA-2014:0233 0 normal SHIPPED_LIVE Important: openstack-packstack security and bug fix update 2014-03-05 00:10:57 UTC

Description Ivan Chavero 2014-01-06 08:02:20 UTC
Description of problem:

If CONFIG_QPID_ENABLE_SSL is set to y we get the following error:

PuppetError: Error appeared during Puppet run: 192.168.100.211_qpid.pp
Error: Definition 'add_allow_host' is already defined at /var/tmp/packstack/3dbcec4f103d487481557486bc676550/manifests/192.168.100.211_qpid.pp:53; cannot be redefined at /var/tmp/packstack/3dbcec4f103d487481557486bc676550/manifests/192.168.100.211_qpid.pp:72 on node localhost

Comment 2 Alvaro Lopez Ortega 2014-01-07 16:49:54 UTC
Fairly visible, and according to Ivan a relatively save patch to be applied. I'm moving it to 4.0z. Right now Qpid SSL support is broken.

Comment 4 Attila Darazs 2014-02-20 17:51:01 UTC
Can somebody set this to ON_QA if it's really in Async2?

Comment 5 Attila Darazs 2014-02-20 18:13:09 UTC
I see, it was the missing qa_ack. Anyway, I verified that qpid gets installed with ssl and other modules get configured to use it.

Comment 9 errata-xmlrpc 2014-03-04 19:14:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0233.html


Note You need to log in before you can comment on or make changes to this bug.